## fonts-meera-taml 1.1

=== Makefile ===
fontpath=/usr/share/fonts/truetype/MeeraTamil
fonts="MeeraTamil"
all: clean compile webfonts test
compile:
# generate ttf files from sfd files
	@for font in `echo ${fonts}`; \
	do \
		./generate.pe $${font}.sfd; \
		echo "Compiled the font $${font}";\
	done 

install: compile
# copy ttf files to system font directory
	@for font in `echo ${fonts}`; \
	do \
		echo "Installing the font $${font}";\
		install -D -m 0644 $${font}.ttf ${DESTDIR}/${fontpath}/$${font}.ttf; \
	done

uninstall:
# remove fonts from system font directories
	@for font in `echo ${fonts}`; \
	do \
		if [ -f ${DESTDIR}/${fontpath}/$${font}.ttf ]; then rm -f ${DESTDIR}/${fontpath}/$${font}.ttf; fi \
		echo "Uninstalled the font $${font}";\
	done

clean:
# remove ttf fonts
	@for font in `echo ${fonts}`; \
	do \
		if [ -f $${font}.ttf ]; then rm -f $${font}.ttf; fi \
	done
	

test: compile
# Test the fonts
	@for font in `echo ${fonts}`; \
	do \
		echo "Testing font $${font}";\
		hb-view $${font}.ttf --debug --text-file  $${font}.txt --output-file $${font}.pdf; \
	done

webfonts: compile
# generate webfonts
	@for font in `echo ${fonts}`; \
	do \
		sfntly -w $${font}.ttf $${font}.woff; \
		sfntly -e -x $${font}.ttf $${font}.eot; \
		echo "Webfonts generated for $${font}"; \
	done

=== debian/changelog ===
fonts-meera-taml (1.1-2) unstable; urgency=low

  * Team upload.
  * debian/control:
    + Fixed Vcs-* URLs. Thanks to Dmitry Shachnev for patch. (Closes: #796290)
    + Updated Standards-Version to 4.0.0.
  * Bumped debian/compat to 9.

 -- Kartik Mistry <kartik@debian.org>  Fri, 23 Jun 2017 13:38:23 +0530

fonts-meera-taml (1.1-1) unstable; urgency=medium

  * Fix typo in long description.
    Closes: bug#736593, Thanks to Pascal De Vuyst.
  * Import new upstream release.
  * Remove DEB_UPSTREAM_CRUFT_COPY mechanism now that upstream removed
    binary ttf file.
  * Introduce patch to use woff-tools and eot-utils to generate woff and
    eot file.
  * Change build target to webfonts as upstream stopped shipping woff and
    eot files.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 26 Jan 2014 14:05:45 +0530

fonts-meera-taml (1.0-1) unstable; urgency=low

  * Initial Release (Closes: #729884).

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 01 Dec 2013 09:22:07 +0530

=== debian/control ===
Source: fonts-meera-taml
Section: fonts
Priority: optional
Build-Depends: cdbs,
               debhelper (>= 9),
               devscripts,
               dh-buildinfo,
               eot-utils,
               fontforge,
               woff-tools
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Standards-Version: 4.0.0
Vcs-Git: https://anonscm.debian.org/git/debian-in/fonts-meera-taml.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-in/fonts-meera-taml.git
Homepage: https://github.com/santhoshtr/meera-tamil

Package: fonts-meera-taml
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: free font for Tamil
 This package provides Meera family of free fonts for Tamil script
 which is used in state of Tamil Nadu in Indian subcontinent and in
 Sri Lanka.
 .
 This font is designed for Wikipedia and Tamil People.

=== debian/watch ===
version = 3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/santhoshtr/meera-tamil/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
